Data Sources
List Data Sources
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringSuccess
application/json- response
[index: integer]?curl -X GET 'https://api.faststats.dev/v0/projects/string/data-sources'Example Response
[ { "id": "string", "projectId": "string", "name": "string", "description": "string", "referenceId": "string", "dataType": "number", "regex": "string", "allowNegative": true, "allowFloat": true, "minValue": 0, "maxValue": 0, "isArray": true, "metricShape": "scalar", "createdAt": "string", "updatedAt": "string" }]curl -X GET 'https://api.faststats.dev/v0/projects/string/data-sources'[
{
"id": "string",
"projectId": "string",
"name": "string",
"description": "string",
"referenceId": "string",
"dataType": "number",
"regex": "string",
"allowNegative": true,
"allowFloat": true,
"minValue": 0,
"maxValue": 0,
"isArray": true,
"metricShape": "scalar",
"createdAt": "string",
"updatedAt": "string"
}
]